// packageE/appointment/search/search.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    active: 0,
    address: "",
    city: "",
    point: "",
    title: '',
    worker_id: '',
    worker: '',
    store: '',
    projects: '',
    // more
    isLoadMore: true,
    page: 1,
    total_page: 0,
    titleInfo: '', // 标题
    commentList: [],
    pullDownBtnShow: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

    this.setData({
      appointmentLang: wx.getStorageSync('yz_basic_info').lang.appointment,
      point: JSON.parse(options.point),
      worker_id: options.worker_id,
      
    });
    wx.setNavigationBarTitle({
      title: this.data.appointmentLang.worker + "详情"
    });
    this.getData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLoadMore) {
      this.getMoreData();
    } else {
      console.log('没有更多数据');
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  toshowAppointment(e){
    wx.navigateTo({
      url: '/packageE/appointment/showAppointment/showAppointment?worker_id=' + this.data.worker.id ,
    });
  },
  swichTabTItem(e) {
    this.setData({
      active: e.detail.index,
    });
  
    if(this.data.active==2&&this.data.commentList.length==0){
      this.getComment();
    }
  },
  toRouter(e) {
    let id=e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageC/o2o/HomeSeller/HomeSeller?store_id=' + id,
    });
  },
  goProject(e){
    let id = e.currentTarget.dataset.id;
    let point = JSON.stringify(this.data.point);
    wx.navigateTo({
      url: '/packageE/appointment/ProjectDetails/ProjectDetails?project_id=' + id + '&point=' + point,
    });
  },
  pullDownBtn() {
    this.setData({
      pullDownBtnShow: !this.data.pullDownBtnShow
    });
  },
  getComment() {
    let urlStr = app.getNetAddresss("plugin.appointment.frontend.comment.get-comment-by-worker-id");
    app._getNetWork({
      url: urlStr,
      data: {
        page: this.data.page,
        worker_id: this.data.worker_id
      },
      success: (resdata) => {
        var response = resdata.data;
        if (response.result == 1) {
          this.setData({
            isLoadMore: true,
            total_page: response.data.last_page,
            commentList: response.data.data
          });
          if (!this.data.total_page) {
            this.setData({
              total_page: 0
            });
          }
        } else {
          wx.showToast({
            title: response.msg,
            icon: 'none'
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  // 获取更多数据
  getMoreData() {
    this.setData({
      isLoadMore: false
    });
    // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      return;
    } else {
      let page = this.data.page + 1;
      this.setData({
        page
      });
      let urlStr = app.getNetAddresss('plugin.appointment.frontend.comment.get-comment-by-worker-id');
      app._getNetWork({
        url: urlStr,
        data: {
          page: this.data.page,
          worker_id: this.data.worker_id
        },
        success: (resdata) => {
          var response = resdata.data;
          if (response.result == 1) {
            var myData = response.data.data.concat(this.data.commentList);
            this.setData({
              commentList: myData
            });
          } else {
            wx.showToast({
              title: response.msg,
              icon: 'none'
            });
            let pages = this.data.page - 1;
            this.setData({
              page: pages,
              isLoadMore: false
            });
          }
        },
        fail: function (res) {
          console.log(res);
        }
      });
    }
  },
  getData() {
    let urlStr=app.getNetAddresss("plugin.appointment.frontend.worker.get-detail-by-id");  
    app._getNetWork({
      url: urlStr,
      data: {
        lng: this.data.point.lng,
        lat: this.data.point.lat,
        worker_id: this.data.worker_id
      },
      success: (resdata) => {
        var response = resdata.data;
        if (response.result == 1) {
          this.setData({
            worker: response.data.worker,
            store: response.data.store,
            projects: response.data.projects
          });
        } else {
          wx.showToast({
            title: response.msg,
            icon: 'none'
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
});